# we are cross-compiled libraries
%global debug_package %{nil}
%global __strip /bin/true

%global hgdate 20131104

Name:           m68k-atari-mint-sdl
Summary:        The SDL library for Atari MiNT
Version:        1.2
Release:        4.%{hgdate}hg%{?dist}
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://ldg.sourceforge.net/
Source0:        http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/sdl-%{version}-HG-%{hgdate}.tar.bz2
BuildArch:      noarch
BuildRequires:  m68k-atari-mint-gemlib
BuildRequires:  m68k-atari-mint-ldg
Requires:       m68k-atari-mint-gemlib
Requires:       m68k-atari-mint-ldg


%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed
to provide fast access to the graphics frame buffer and audio device.


%prep
%setup -q -n sdl-%{version}-HG-%{hgdate}


%build
COMMON_CFLAGS="-Wall -O2 -g -fomit-frame-pointer"
COMMON_OPTIONS="--host=m68k-atari-mint --prefix=%{mint_prefix} --disable-video-opengl --disable-threads"

mkdir m68000
pushd m68000
../configure $COMMON_OPTIONS CFLAGS="$COMMON_CFLAGS"
sed -i 's:-L[^ ]*  ::g' sdl-config
sed -i 's:-L\${libdir}  ::g' sdl.pc
make
popd

mkdir m68020-60
pushd m68020-60
../configure $COMMON_OPTIONS --libdir=%{mint_libdir}/m68020-60 CFLAGS="-m68020-60 $COMMON_CFLAGS"
sed -i 's:-L[^ ]*  ::g' sdl-config
sed -i 's:-L\${libdir}  ::g' sdl.pc
make
popd

mkdir m5475
pushd m5475
../configure $COMMON_OPTIONS --libdir=%{mint_libdir}/m5475 CFLAGS="-mcpu=5475 $COMMON_CFLAGS"
sed -i 's:-L[^ ]*  ::g' sdl-config
sed -i 's:-L\${libdir}  ::g' sdl.pc
make
popd


%install
pushd m68000
    make install DESTDIR=$RPM_BUILD_ROOT
popd
for d in m68020-60 m5475
do
    pushd $d
    make install-lib DESTDIR=$RPM_BUILD_ROOT
    popd
done
find $RPM_BUILD_ROOT%{mint_libdir} -name \*.la -exec rm {} \;
rm -rf $RPM_BUILD_ROOT%{mint_datadir}


%files
%doc COPYING README README.MiNT WhatsNew
%{mint_bindir}/sdl-config
%{mint_includedir}/SDL/
%{mint_libdir}/*


%changelog
* Thu May 15 2014 Dan Horák <dan[at]danny.cz> - 1.2-4.20131104hg
- update to 20131104 snapshot

* Sat Jan 05 2013 Dan Horák <dan[at]danny.cz> - 1.2-3.20121114hg
- update to 20121114 snapshot

* Sun Oct 21 2012 Dan Horák <dan[at]danny.cz> - 1.2-2.20121012hg
- update to 20121012 snapshot

* Mon Oct 08 2012 Dan Horák <dan[at]danny.cz> - 1.2-1.20121006hg
- initial Fedora release
